
function foxfmdebug(exception) {
	window.openDialog(
        "chrome://foxfm/content/resources/html/showErrorBacktrace.htm",
        "errorbacktrace",
        "centerscreen=yes,chrome=yes,modal=yes,resizable=yes",
        exception,
        "display error"
      ); 
}

//*****************************************************************************************
// MAIN load (executed only 1 time)
//*****************************************************************************************
function foxfm_load() 
{
	window.addEventListener('DOMContentLoaded', foxfm_run, true);
	window.addEventListener('popupshowing', foxfm_initPopupMenu, true);	
}

function foxfm_addJavaScript(doc, js) 
{    
	var head = doc.getElementsByTagName("head")[0];    
	var script = doc.createElement("script");
	script.type = "text/javascript";
	script.src = js;
	head.appendChild(script);
	return script;
}

function foxfm_run(event) 
{
	try 
	{
		var doc = event.originalTarget;
		if (doc.nodeType != doc.DOCUMENT_NODE) 
		{
			doc = doc.ownerDocument;
		}		
		if (!doc || doc == null || doc.location == null) 
		{
			return;
		}
	} catch (e) {
		alert(e);
	}
	// add javascript to OFM page for common javascript functions
	foxfm_addJavaScript(doc,"chrome://foxfm/content/resources/js/foxfm_common.js");
	// add javascript to OFM page handling amateur transfer market
	foxfm_addJavaScript(doc,"chrome://foxfm/content/resources/js/foxfm_tm_amas.js");
	// add javascript to OFM page handling profi transfer market
	foxfm_addJavaScript(doc,"chrome://foxfm/content/resources/js/foxfm_tm_pros.js");
	// add javascript to OFM page handling team training
	foxfm_addJavaScript(doc,"chrome://foxfm/content/resources/js/foxfm_team_training.js");
	// add javascript to OFM page handling team
	foxfm_addJavaScript(doc,"chrome://foxfm/content/resources/js/foxfm_team.js");
}

function foxfm_initPopupMenu() {
	//alert("foxfm: foxfm_initPopupMenu");
}

// start foxfm
// alert("foxfm: foxfm_load()");
foxfm_load();